/*
 * ChartDefinition.java
 *
 * Created on 2 ottobre 2004, 10.23
 */

package it.businesslogic.ireport.chart;
import java.util.*;
/** 
 *
 * @author  Administrator
 */
public class ChartDefinition {
    
    private javax.swing.ImageIcon icon;
    private String[] neededSeries;
    private String chartCategory = "";
    private String chartName = "";
    private Vector sheetProperties = null;
    
        
    /** Creates a new instance of ChartDefinition */
    public ChartDefinition() {
        setSheetProperties(new Vector());
    }

    public javax.swing.ImageIcon getIcon() {
        return icon;
    }

    public void setIcon(javax.swing.ImageIcon icon) {
        this.icon = icon;
    }

    public String[] getNeededSeries() {
        return neededSeries;
    }

    public void setNeededSeries(String[] neededSeries) {
        this.neededSeries = neededSeries;
    }

    public String getType() {
        return chartCategory;
    }

    public void setType(String type) {
        this.chartCategory = type;
    }

    public String getChartName() {
        return chartName;
    }

    public void setChartName(String chartName) {
        this.chartName = chartName;
    }
    
    public String toString()
    {
        return getChartName();
        
    }

    private String factory;

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public Vector getSheetProperties() {
        return sheetProperties;
    }

    public void setSheetProperties(Vector sheetProperties) {
        this.sheetProperties = sheetProperties;
    }
}
